summaryrefslogtreecommitdiff
path: root/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild')
-rw-r--r--dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild
new file mode 100644
index 000000000000..873571929afb
--- /dev/null
+++ b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs Devhelp documents"
+HOMEPAGE="https://www.sphinx-doc.org
+ https://github.com/sphinx-doc/sphinxcontrib-devhelp"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris"
+
+RDEPEND="dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]"
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? ( ${PDEPEND} )"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}